                           LDRAW.ORG
                    PARTS LIBRARY AGREEMENT
                          CAreadme.txt


LDRAW.ORG PARTS LIBRARY AGREEMENT: CAreadme.txt

1. Introduction

The following is the README text for the LDraw Parts Library
licenced by the Creative Commons Attribution Licence 2.0 as
specified by the LDraw Contributor Agreement (CA). Parts which
fall under this agreement will contain the following line in
their headers.

0 !LICENSE Redistributable under CCAL version 2.0 : see CAreadme.txt

However this text is not a license! It is simply a handy reference
for understanding the Legal Code (the full license), which can be
found in the CAlicense.txt file - it is a human-readable expression
of some key terms.  Think of it as the user-friendly interface to
the Legal Code beneath.  This text itself has no legal value and its
contents do not appear in the actual licence.  For a deeper insight
please visit: http://creativecommons.org/licenses/by/2.0/

2. Rights

You are free:

   * to copy, distribute, display, and use the CA approved LDraw
     Parts Library
   * to make derivative works
   * to make commercial use of the CA approved LDraw Parts Library

Under the following conditions:

3. Attribution.

You must give the original author credit.

   * For any reuse or distribution, you must make clear to others
     the licence terms of this library.
   * Any of these conditions can be waived if you get permission
     from the copyright holder.

The LDraw Steering Committee (SteerCo) also holds an attribution
to 'The LDraw Parts Library' in such Derivative Works to be sufficient
in lieu of a full list of authors.

Your fair use and other rights are in no way affected by the above.

4. Enforcements

The single copyright holders are the sole entity responsible for
enforcements of their copyrights. For purposes of enforcement
LDraw.org considers the following good rules of thumb to determine
if a new file is not a  Derivative work.  Anything else should be
considered a Derivative work and an attribution would be required.
If in doubt contact the current LDraw SteerCo.

What is not considered a Derivative work?

   * Rendered images generated from the LDraw library. Rendering here
     covers any conversion of a 3D model file into a 2D image.

   * Model files containing references only (the source code for the
     part may NOT be included in any form) to parts in the official
     LDraw Parts Library at the time of their creation. Part files
     which are marked as unofficial at the time of creation may be
     included in full in the model file. If the sole or main purpose (as
     determined by the LDraw SteerCo in consultation with the potentially
     offending author and LDraw community at large) of the Model file
     is to include large numbers of unofficial parts then it WILL be
     considered a derivative work.

   * Alternative libraries of parts which LDraw.org does not own or
     enforce the copyright. If some or more of the parts in the library
     are converted from the LDraw Parts Library then they must be
     considered a Derivative work.

LDraw.org, July 2008
